# frozen_string_literal: true

module Ephemeron
  class Settings
    CONFIG = Struct.new :skip_models

    class << self
      attr_writer :skipped_models

      def skipped_models
        @skipped_models || []
      end

      def configure(config)
        Ephemeron::Settings.skipped_models = config.skip_models
      end
    end
  end
end
