# frozen_string_literal: true

module Ephemeron
  module Validators
    module StoreElement
      module_function

      def call(model)
        return false if Logger.logs.last == Logger::Convert.call(nil, :proxy_start)
        return false unless model.is_a?(ActiveRecord::Base)
        return false if Settings.skipped_models.include? model.class.name

        true
      end
    end
  end
end
