# -*- encoding: utf-8 -*-
# stub: ephemeron 0.5.0 ruby lib

Gem::Specification.new do |s|
  s.name = "ephemeron".freeze
  s.version = "0.5.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Zbigniew Humeniuk".freeze]
  s.date = "2020-08-28"
  s.description = "Ephemeron improves the performance of your app.\nIt takes on itself the persistence of the ActiveRecord objects.\nIt protects you from saving the same object many times.\nIt checks whether a fetched from a database object was used.\nIt allows you to eliminate the controller's before_actions that are unnecessarily called.\nEphemeron works in the context of the thread and does the bulk of its job (i.a. persistence) at the end of the thread's lifecycle.\nAlthough, you can trigger the finalization at any given moment.\nYou don't have to make a distinction in the code for the part that is responsible for the domain logic and the other responsible for the application layers.\n".freeze
  s.email = ["hello@artofcode.co".freeze]
  s.homepage = "https://artofcode.co".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.6.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "The organic DDD".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rails>.freeze, [">= 5.0", "< 7.0"])
    s.add_development_dependency(%q<jb>.freeze, ["~> 0.7.0"])
    s.add_development_dependency(%q<rspec-mocks>.freeze, ["~> 3.9"])
    s.add_development_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop-rails>.freeze, [">= 0"])
    s.add_development_dependency(%q<sqlite3>.freeze, [">= 0"])
  else
    s.add_dependency(%q<rails>.freeze, [">= 5.0", "< 7.0"])
    s.add_dependency(%q<jb>.freeze, ["~> 0.7.0"])
    s.add_dependency(%q<rspec-mocks>.freeze, ["~> 3.9"])
    s.add_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop-rails>.freeze, [">= 0"])
    s.add_dependency(%q<sqlite3>.freeze, [">= 0"])
  end
end
