# frozen_string_literal: true

module Ephemeron
  class Logger
    module Finders
      module_function

      def find_all_events_for(model, *events)
        Logger.logs
              .filter { |l| events.any? { |e| l == Logger::Convert.call(model, e) } }
      end
    end
  end
end
